package com.example.broken_screen_prank;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Environment;
import android.provider.MediaStore;
import android.text.format.DateFormat;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import com.zys.brokenview.BrokenCallback;
import com.zys.brokenview.BrokenTouchListener;
import com.zys.brokenview.BrokenView;
import java.io.File;
import java.io.FileOutputStream;
import java.util.Date;


public class ImageBrakeActivity extends Activity {
    public static int IMG_RESULT = 1;
    private static final int REQUEST_CODE = 1000;
    private static final int REQUEST_CODE_EXTERNAL_STORAGE = 1002;
    public static final String SELECTED_IMAGE_KEY = "SELECTED_IMAGE_KEY";
    /* access modifiers changed from: private */
    public static final String TAG = "ImageBrakeActivity";
    Bitmap bitmapMaster;
    BrokenTouchListener brokenTouchListener;
    BrokenView brokenView;
    Canvas canvasMaster;
    Bitmap crackEffectBitmap;
    boolean hasImage = false;
    Bitmap mBitmap;
    ImageCrackSurface mImageCrackSurface;
    ImageView mImageView;
    Uri savedImage;
    FrameLayout mFrameLayout;
    String mImageCode;
    int touchTimes = 0;

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_image_brake);
        int checkSelfPermission = ContextCompat.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE");
        int checkSelfPermission2 = ContextCompat.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE");
        if (checkSelfPermission != 0 && checkSelfPermission2 != 0) {
            ActivityCompat.requestPermissions(this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"}, 1000);
        } else if (!(checkSelfPermission == 0 && checkSelfPermission2 == 0)) {
            ActivityCompat.requestPermissions(this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"}, 1002);
        }
        this.mFrameLayout = (FrameLayout) findViewById(R.id.image_layout);
        this.mImageView = (ImageView) findViewById(R.id.display_imageview);
        this.crackEffectBitmap = BitmapFactory.decodeResource(getResources(), R.drawable.crackeffecthd);
        this.brokenView = BrokenView.add2Window(this);
        this.brokenTouchListener = new BrokenTouchListener.Builder(this.brokenView).build();
        this.brokenView.setCallback(new BrokenCallback() {
            public void onStart(View view) {
                ImageBrakeActivity.this.mFrameLayout.setFocusable(false);
                ImageBrakeActivity.this.mFrameLayout.setFocusableInTouchMode(false);
                ImageBrakeActivity.this.mFrameLayout.setClickable(false);
                ImageBrakeActivity.this.mImageView.setFocusable(false);
                ImageBrakeActivity.this.mImageView.setFocusableInTouchMode(false);
                ImageBrakeActivity.this.mImageView.setClickable(false);
            }

            public void onCancel(View view) {
                super.onCancel(view);
            }

            public void onRestart(View view) {
                super.onRestart(view);
            }

            public void onFalling(View view) {
                ImageBrakeActivity imageBrakeActivity = ImageBrakeActivity.this;
                final MediaPlayer create = MediaPlayer.create(imageBrakeActivity, imageBrakeActivity.getResources().getIdentifier("wine_sound", "raw", ImageBrakeActivity.this.getPackageName()));
                create.start();
                create.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
                    public void onCompletion(MediaPlayer mediaPlayer) {
                        create.release();
                    }
                });
            }

            public void onFallingEnd(View view) {
                ImageBrakeActivity.this.resetActivity();
            }

            public void onCancelEnd(View view) {
                super.onCancelEnd(view);
            }
        });
        try {
            Uri parse = Uri.parse(getIntent().getStringExtra(SELECTED_IMAGE_KEY));
            if (parse != null) {
                parseUriAndDrawCanvas(parse);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        startImageEvent();
    }

    public void onResume() {
        super.onResume();
    }

    public void onPause() {
        super.onPause();
    }

    public void onDestroy() {
        super.onDestroy();
    }

    private void parseUriAndDrawCanvas(Uri uri) {
        Cursor query;
        Bitmap.Config config;
        try {
            this.savedImage = uri;
            String[] strArr = {"_data"};
            if (uri != null && (query = getContentResolver().query(this.savedImage, strArr, (String) null, (String[]) null, (String) null)) != null) {
                query.moveToFirst();
                this.mImageCode = query.getString(query.getColumnIndex(strArr[0]));
                query.close();
                Bitmap decodeStream = BitmapFactory.decodeStream(getContentResolver().openInputStream(this.savedImage));
                if (decodeStream.getConfig() != null) {
                    config = decodeStream.getConfig();
                } else {
                    config = Bitmap.Config.ARGB_8888;
                }
                this.bitmapMaster = Bitmap.createBitmap(decodeStream.getWidth(), decodeStream.getHeight(), config);
                Canvas canvas = new Canvas(this.bitmapMaster);
                this.canvasMaster = canvas;
                canvas.drawBitmap(decodeStream, 0.0f, 0.0f, (Paint) null);
                this.mImageView.setImageBitmap(this.bitmapMaster);
                this.hasImage = true;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void resetActivity() {
        new CountDownTimer(500, 100) {
            public void onTick(long j) {
            }

            public void onFinish() {
                ImageBrakeActivity.this.startResetting();
            }
        }.start();
    }

    public void startResetting() {
        new CountDownTimer(500, 100) {
            public void onTick(long j) {
            }

            public void onFinish() {
                Intent intent = ImageBrakeActivity.this.getIntent();
                intent.putExtra(ImageBrakeActivity.SELECTED_IMAGE_KEY, ImageBrakeActivity.this.savedImage.toString());
                ImageBrakeActivity.this.finish();
                ImageBrakeActivity.this.startActivity(intent);
            }
        }.start();
    }

    private void startImageEvent() {
        this.mImageView.setOnTouchListener(new View.OnTouchListener() {
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (ImageBrakeActivity.this.touchTimes >= 9) {
                    ImageBrakeActivity.this.mImageView.setFocusable(false);
                    ImageBrakeActivity.this.mImageView.setFocusableInTouchMode(false);
                    ImageBrakeActivity.this.mImageView.setClickable(false);
                    ImageBrakeActivity.this.brokenTouchListener.onTouch(ImageBrakeActivity.this.mFrameLayout, motionEvent);
                } else if (ImageBrakeActivity.this.hasImage) {
                    int action = motionEvent.getAction();
                    int x = (int) motionEvent.getX();
                    int y = (int) motionEvent.getY();
                    if (action == 0) {
                        ImageBrakeActivity imageBrakeActivity = ImageBrakeActivity.this;
                        imageBrakeActivity.putCracksOnImage((ImageView) view, imageBrakeActivity.bitmapMaster, x, y);
                        ImageBrakeActivity.this.touchTimes++;
                    }
                }
                return false;
            }
        });
    }

    public void putCracksOnImage(ImageView imageView, Bitmap bitmap, int i, int i2) {
        if (i >= 0 && i2 >= 0 && i <= imageView.getWidth() && i2 <= imageView.getHeight()) {
            Canvas canvas = this.canvasMaster;
            Bitmap bitmap2 = this.crackEffectBitmap;
            double d = (double) i;
            double width = (double) bitmap.getWidth();
            double width2 = (double) imageView.getWidth();
            Double.isNaN(width);
            Double.isNaN(width2);
            Double.isNaN(d);
            double d2 = (double) i2;
            double height = (double) bitmap.getHeight();
            double height2 = (double) imageView.getHeight();
            Double.isNaN(height);
            Double.isNaN(height2);
            Double.isNaN(d2);
            canvas.drawBitmap(bitmap2, (float) (((int) (d * (width / width2))) - 420), (float) (((int) (d2 * (height / height2))) - 420), (Paint) null);
            final MediaPlayer create = MediaPlayer.create(this, getResources().getIdentifier("cfl_sound", "raw", getPackageName()));
            create.start();
            create.setOnCompletionListener(new MediaPlayer.OnCompletionListener() {
                public void onCompletion(MediaPlayer mediaPlayer) {
                    create.release();
                }
            });
            imageView.invalidate();
        }
    }

    public void askPemissionIfNeeded() {
        if (ContextCompat.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE") == 0 && ContextCompat.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE") == 0) {
            startActivityForResult(Intent.createChooser(new Intent("android.intent.action.PICK", MediaStore.Images.Media.EXTERNAL_CONTENT_URI), "Select Picture"), IMG_RESULT);
        } else {
            new AlertDialog.Builder(this).setTitle("APP").setMessage("PLEASE ALLOW THIS APP TO ACCESS EXTERNAL STORAGE").setPositiveButton("OK", new DialogInterface.OnClickListener() {
                public void onClick(DialogInterface dialogInterface, int i) {
                    if (ActivityCompat.shouldShowRequestPermissionRationale(ImageBrakeActivity.this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
                        ActivityCompat.requestPermissions(ImageBrakeActivity.this, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, 1002);
                    } else if (ActivityCompat.shouldShowRequestPermissionRationale(ImageBrakeActivity.this, "android.permission.READ_EXTERNAL_STORAGE")) {
                        ActivityCompat.requestPermissions(ImageBrakeActivity.this, new String[]{"android.permission.READ_EXTERNAL_STORAGE"}, 1002);
                    } else {
                        Intent intent = new Intent();
                        intent.setAction("android.settings.APPLICATION_DETAILS_SETTINGS");
                        intent.setData(Uri.fromParts("package", ImageBrakeActivity.this.getPackageName(), (String) null));
                        ImageBrakeActivity.this.startActivity(intent);
                    }
                }
            }).setNegativeButton("CANCEL", new DialogInterface.OnClickListener() {
                public void onClick(DialogInterface dialogInterface, int i) {
                }
            }).show();
        }
    }

    public void startSavingImage() {
        saveToInternal(takeScreenShot());
    }

    private Bitmap takeScreenShot() {
        FrameLayout frameLayout = this.mFrameLayout;
        frameLayout.setDrawingCacheEnabled(true);
        frameLayout.buildDrawingCache();
        Bitmap createBitmap = Bitmap.createBitmap(frameLayout.getDrawingCache());
        frameLayout.setDrawingCacheEnabled(false);
        return createBitmap;
    }

    private void saveToInternal(Bitmap bitmap) {
        String charSequence = DateFormat.format("dd_MM_yyyy_hh_mm_ss", new Date()).toString();
        File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + "/CrackAndBreak");
        if (!file.exists()) {
            file.mkdirs();
        }
        StringBuilder sb = new StringBuilder();
        sb.append(charSequence);
        sb.append(".jpg");
        String str = "file://" + Environment.getExternalStorageDirectory().getAbsolutePath() + "/CrackAndBreak/" + sb;
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(new File(file, sb.toString()));
            bitmap.compress(Bitmap.CompressFormat.JPEG, 80, fileOutputStream);
            fileOutputStream.flush();
            fileOutputStream.close();
            sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(new File(str))));
            Toast.makeText(this, "Saved Successfully", Toast.LENGTH_SHORT).show();
            finish();
        } catch (Exception e) {
            e.printStackTrace();
            Toast.makeText(this, "Please try again", Toast.LENGTH_SHORT).show();
        }
    }

    public void onActivityResult(int i, int i2, Intent intent) {
        Cursor query;
        Bitmap.Config config;
        super.onActivityResult(i, i2, intent);
        try {
            if (i == IMG_RESULT && i2 == -1 && intent != null) {
                Uri data = intent.getData();
                this.savedImage = data;
                String[] strArr = {"_data"};
                if (data != null && (query = getContentResolver().query(this.savedImage, strArr, (String) null, (String[]) null, (String) null)) != null) {
                    query.moveToFirst();
                    this.mImageCode = query.getString(query.getColumnIndex(strArr[0]));
                    query.close();
                    Bitmap decodeStream = BitmapFactory.decodeStream(getContentResolver().openInputStream(this.savedImage));
                    if (decodeStream.getConfig() != null) {
                        config = decodeStream.getConfig();
                    } else {
                        config = Bitmap.Config.ARGB_8888;
                    }
                    this.bitmapMaster = Bitmap.createBitmap(decodeStream.getWidth(), decodeStream.getHeight(), config);
                    Canvas canvas = new Canvas(this.bitmapMaster);
                    this.canvasMaster = canvas;
                    canvas.drawBitmap(decodeStream, 0.0f, 0.0f, (Paint) null);
                    this.mImageView.setImageBitmap(this.bitmapMaster);
                    this.hasImage = true;
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            Toast.makeText(this, "Please try again", 0).show();
        }
    }
}
    