import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';
import 'package:marketing_plugin/plugin_codelab.dart';

class BannerExample extends StatefulWidget {
  final dynamic ids;

  const BannerExample({Key? key, this.ids}) : super(key: key);

  @override
  State<BannerExample> createState() => _BannerExampleState();
}

class _BannerExampleState extends State<BannerExample> {
  AdManagerBannerAd? _bannerAd;
  bool _isLoaded = false;

  @override
  void initState() {
    // TODO: implement initState
    loadAd();
    super.initState();
  }

  // TODO: replace this test ad unit with your own ad unit.

  /// Loads a banner ad.
  void loadAd() {
    _bannerAd = AdManagerBannerAd(
      adUnitId: widget.ids ?? '',
      request: const AdManagerAdRequest(),
      listener: AdManagerBannerAdListener(
        // Called when an ad is successfully received.
        onAdLoaded: (ad) {
          debugPrint('$ad loaded.');
          setState(() {});
        },
        // Called when an ad request failed.
        onAdFailedToLoad: (ad, error) {
          debugPrint('AdManagerBannerAd failed to load: $error');
          // Dispose the ad here to free resources.
          ad.dispose();
        },
        // Called when an ad opens an overlay that covers the screen.
        onAdOpened: (Ad ad) {},
        // Called when an ad removes an overlay that covers the screen.
        onAdClosed: (Ad ad) {},
        // Called when an impression occurs on the ad.
        onAdImpression: (Ad ad) {},
      ),
      sizes: [AdSize.banner],
    )..load();
  }

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    if (_bannerAd != null) {
      return Align(
        alignment: Alignment.bottomCenter,
        child: SizedBox(
          width: 300,
          height: 1000,
          child: AdWidget(ad: _bannerAd!),
        ),
      );
    }
    return Container(
      width: 300,
      height: 1000,
    );
  }

  @override
  void dispose() {
    super.dispose();
  }
}
